Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0009440Dwarf FortressDwarf Mode -- Stockpilespublic2016-01-01 21:532017-04-23 10:39
Reportersurazal 
Assigned ToToady One 
PrioritynormalSeveritymajorReproducibilityalways
StatusassignedResolutionopen 
PlatformLinuxOSUbuntuOS Version15.10
Product Version0.42.04 
Target VersionFixed in Version 
Summary0009440: Wounded dwarves die of dehydration if they grab a goblet
DescriptionAny dwarf who has a wounded status, when grabbing a wooden goblet from a stockpile, will just freeze and stare at the floor until they die of dehydration (usually). The only way to get them to snap out of it is to forbid all goblets/cups/etc and then they will resume drinking straight out of the barrel to satisfy their thirst.
Steps To ReproduceAny badly-wounded dwarf who is in the stages of recovery (say, a missing or broken limb) will eventually get thirsty. As he or she grabs a goblet from a stockpile, they will just stand there while the other dwarves step around them as if nothing is going on. Eventually they die of dehydration. The only way to save them to is forbid all goblets. If you attempt to forbid only the goblet they hold in their hand, they will just grab the next one in the stockpile and the cycle begins anew.
Additional InformationThe issue was reproducible in 0.42.03 as well. So far I've only been able to reproduce the issue with a wooden goblet, but it's likely that stone or metal equivalents suffer from the same bug. I haven't gotten far enough in my fort to find out yet, so the possibility remains open.
TagsNo tags attached.
Attached Files

- Relationships
related to 0009403resolvedToady One Tavern visitors served drinks equip mugs and don't consume contents 
has duplicate 0009239resolvedDwarfu "ability to grasp lost" -> dwarf dies of thirst trying to pick up a mug 
has duplicate 0010070resolvedLoci Units without arms cannot haul mugs when they need to drink 
has duplicate 0010206resolvedLoci Dwarf doesn't finish drinking 

-  Notes
(0034269)
Detros (manager)
2016-01-02 06:07

Sounds like a child of 0009403, "Tavern visitors served drinks equip mugs and don't consume contents".
(0034271)
surazal (reporter)
2016-01-02 09:32

Not sure if those are related. In my case, the dwarves are not visitors but fort citizens. They also grabbed the goblet from my stockpiles in both cases rather than the tavern. When they have the goblet in hand, they don't fill it but just stand there in the same spot in the stockpile until I forbid all goblets. Then they drop it and drink directly from the barrel (as do the rest of the dwarves since the forbidden status applies globally). They do sometimes "shuffle" a little bit by moving from one square to another, but for the most part they are stationary. The job they get stuck on is "drink" which never gets completed until they die of dehydration. The main connecting point for both my dwarves was that they were both recently wounded (one had her hand cut off while the other had a broken hip/leg from a collapsed ceiling) and were still in recovery mode.
(0034272)
Detros (manager)
2016-01-02 10:57

0009403 is not only about visitors, its original title was "dwarves always keep a mug / goblet in their hands"

Can you please upload your save (zipped region folder) to http://dffd.bay12games.com/ [^] and post a link to it here? And, just to clear those, in which version have you generated this world?, and, are you using any third party mods/tools or have you modified your raws in any way?
(0034276)
Dwarfu (manager)
2016-01-02 16:23

Reminder sent to: surazal

Please upload a save demonstrating the issue. Compress (.zip) your DF/data/save/region folder, upload it to http://dffd.bay12games.com, [^] and post a link to it here.
(0034320)
surazal (reporter)
2016-01-04 19:04

I'll get it uploaded tonight.
(0034322)
Hedede (reporter)
2016-01-05 00:09

Sounds similar to 0009239
(0034455)
Dwarfu (manager)
2016-01-18 02:02

Was this fixed as part of 0009403?
(0034486)
Shimrod (reporter)
2016-01-20 07:12

For what it's worth, I ran into this problem yesterday in 42.05 with a spearman who was severely mauled by a troll. Mind that this was a fort generated in 42.04, and that said troll managed to break both the spearman's wrists, causing him to completely lose the ability to grasp.

On the other hand, he WAS hauling a mug, and forbidding all mugs did cause him to stop hanging around the goods stockpile and go to the booze stockpile, where he quenched his thirst the old fashioned way.
(0034792)
surazal (reporter)
2016-03-05 07:26
edited on: 2016-03-05 07:27

I think I can confirm that the issue has been resolved as of 0.42.06. I have an injured dwarf in possession of a mug and drinking quite happily. So maybe it was that other issue that Detros mentioned (sorry it took so long to respond... I had deleted the old save game by accident and hadn't been able to try to reproduce the issue until now).

(0034813)
Loci (manager)
2016-03-08 18:56

v0.42.06: A dwarf with two injured arms (unable to grasp) somehow managed to pick up a goblet then stood frozen trying to figure out how to pour a drink. Forbidding the held goblet motivated the dwarf to pick up a different goblet then return to standing there. Forbidding all goblets caused the dwarf to finally drink straight from the barrel.
(0034994)
Witty (reporter)
2016-04-11 12:41

Definitely still present in 0.42.06. Just lost my legendary stonecrafter to dehydration - as he was standing frozen in the booze stockpile. He had gotten into a minor brawl with a cave crocodile earlier that had necessitated a hospital trip.
(0035378)
Toady One (administrator)
2016-06-08 13:32

I can't reproduce this in the upcoming 0.43.04, but it is possible the medical stuff I fixed recently is responsible. If it is still happening in 0.43.04, I'll need a save or I won't be able to address it.
(0035381)
Ratter (reporter)
2016-06-09 06:34

Still present in 43.03, at least. One of my human mercenaries lost the ability to both grasp and stand. She squirmed into the tavern, "hauled" herself a mug, then lay frozen in front of the booze stockpile until she eventually died of dehydration. I'd encountered this bug a few times in previous versions as well. Glad to hear it might be fixed!
(0035394)
soulsource (reporter)
2016-06-11 15:30

I've uploaded a save where a dwarf who cannot grasp is on his way to fetch a goblet, and will get stuck. It's a save copied to 0.43.03 from 0.43.01 (I think), but I hope it's still useful.
http://dffd.bay12games.com/file.php?id=12136 [^]
(0035584)
Narrrz (reporter)
2016-07-08 22:10

Bug or feature? if they permanently lose the ability to grasp, dwarves can do pretty much nothing. This culls them off.
(0035794)
Witty (reporter)
2016-08-18 10:29
edited on: 2016-08-20 15:43

Disregard

(0036047)
rhavviepoodle (reporter)
2016-11-11 13:06

I found this again in .43.05: http://dffd.bay12games.com/file.php?id=12557 [^]

The aggressor in question is a harpy (I did some raw tweaking to make them playable in this world), who functionally is a dwarf without arms. It shouldn't make a big difference, but she hasn't been bugged except for this particular issue.
(0036444)
Loci (manager)
2017-04-23 10:39

v0.43.05: latias1290 posted a save in 0010206:

http://dffd.bay12games.com/file.php?id=12855 [^]

- Issue History
Date Modified Username Field Change
2016-01-01 21:53 surazal New Issue
2016-01-02 06:07 Detros Note Added: 0034269
2016-01-02 09:32 surazal Note Added: 0034271
2016-01-02 10:57 Detros Note Added: 0034272
2016-01-02 16:22 Dwarfu Relationship added child of 0009403
2016-01-02 16:22 Dwarfu Assigned To => Dwarfu
2016-01-02 16:22 Dwarfu Status new => needs feedback
2016-01-02 16:23 Dwarfu Note Added: 0034276
2016-01-04 19:04 surazal Note Added: 0034320
2016-01-04 19:04 surazal Status needs feedback => assigned
2016-01-05 00:09 Hedede Note Added: 0034322
2016-01-06 00:42 Hedede Issue Monitored: Hedede
2016-01-13 15:13 Toady One Relationship replaced related to 0009403
2016-01-18 02:02 Dwarfu Note Added: 0034455
2016-01-18 02:02 Dwarfu Status assigned => needs feedback
2016-01-20 07:12 Shimrod Note Added: 0034486
2016-03-05 07:26 surazal Note Added: 0034792
2016-03-05 07:26 surazal Status needs feedback => assigned
2016-03-05 07:27 surazal Note Edited: 0034792 View Revisions
2016-03-08 18:56 Loci Note Added: 0034813
2016-04-11 12:41 Witty Note Added: 0034994
2016-05-08 17:18 Dwarfu Relationship added has duplicate 0009239
2016-05-08 17:19 Dwarfu Status assigned => confirmed
2016-06-08 13:32 Toady One Note Added: 0035378
2016-06-08 13:32 Toady One Assigned To Dwarfu => Toady One
2016-06-08 13:32 Toady One Status confirmed => needs feedback
2016-06-09 06:34 Ratter Note Added: 0035381
2016-06-11 15:30 soulsource Note Added: 0035394
2016-06-13 13:58 TheCrazyHamsteR Issue Monitored: TheCrazyHamsteR
2016-07-08 22:10 Narrrz Note Added: 0035584
2016-08-18 10:29 Witty Note Added: 0035794
2016-08-18 10:40 Witty Note Edited: 0035794 View Revisions
2016-08-19 13:54 Loci Status needs feedback => assigned
2016-08-20 15:27 Loci Status assigned => needs feedback
2016-08-20 15:43 Witty Note Edited: 0035794 View Revisions
2016-11-10 18:00 Loci Relationship added has duplicate 0010070
2016-11-11 13:04 rhavviepoodle Issue Monitored: rhavviepoodle
2016-11-11 13:04 rhavviepoodle Issue End Monitor: rhavviepoodle
2016-11-11 13:04 rhavviepoodle Issue Monitored: rhavviepoodle
2016-11-11 13:06 rhavviepoodle Note Added: 0036047
2016-12-06 14:17 Loci Status needs feedback => assigned
2017-04-23 10:37 Loci Relationship added has duplicate 0010206
2017-04-23 10:39 Loci Note Added: 0036444
2017-06-08 18:36 Huntthetroll Issue Monitored: Huntthetroll


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker